Subject: Consult about draft-chen-ppvpn-dvpls-compare-01.txt

From: lidefeng <[email-masked]>
Date: Mon, 28 Apr 2003 15:43:00 +0800

Hi,all,

In section "6.1 Scalability" of draft-chen-ppvpn-dvpls-compare-01.txt,there
are following statements:

"Let's suppose a network with  n N-PE devices each with k EndPoints that
belong to the same VPLS instance. The total number of EndPointPs for this
particular VPLS instance is n*k.

   Based on these:
   In GVPLS the number of VC-Labels in the core is n*k*(k-1).
   In DTLS the number of VC-Labels in the core is n*k*(n*k -1).
   In HVPLS the number of VC-Labels in the core is k*(k-1). "

I don't agree with that "In HVPLS the number of VC-Labels in the core is
k*(k-1).", where HVPLS signifys the VPLS defined in
"draft-lasserre-vkompella-ppvpn-vpls".

Could you please explain how come those results? 3x

Regards

Li Defeng

---

From: "Dinesh Mohan" <[email-masked]>
Date: Mon, 28 Apr 2003 09:27:55 -0400

Li,

In VPLS application, you are correct in stating that flooding domain should
include the subtended customer end-points, which belong to VPLS instance. 

In your example, the flooding domain of MTU-s, for VPLS instance to which
CE-1, CE-2, and CE3 belong, should be (for optimized forwarding) limited to
MTU-s. However, when any CE subtended across PE2-rs becomes part of same
VPLS instance, PE2-rs should become part of flooding domain as well.
Likewise PE3-rs, if it becomes part of VPLS instance.

Cheers, Dinesh
-----Original Message-----
From: lidefeng [mailto:[email-masked]]
Sent: Monday, April 28, 2003 3:24 AM
To: [email-masked]
Subject: Consult about draft-chen-ppvpn-dvpls-compare-01.txt

hi,all

In section "5.3 Packet replication/Flooding" of
draft-chen-ppvpn-dvpls-compare-01.txt,it states that:

"In a typical bridge, the flooding is performed across all
   the bridge ports, however, in VPLS applications, it is required that
   flooding, broadcast and multicast are performed within the VPLS
   domain, i.e. only to those customer end-points, that belong to the
   VPLS instance."

I am not sure that in VPLS applications if the flooding domain includes the
subtended customer end-points which belong to the VPLS instance? For example
in the following figure,does the flooding domain of MTU-s include VC-1 PW,PW
between PE1-rs and PE2-rs, PW between PE1-rs and PE3-rs besides CE-1 and
CE-2,CE-3? or only include CE-1 and CE-2,CE-3 ? If the answer is the former
one,I think there is no difference between the typical bridge.

                                                        PE2-rs
                                                          ------
                                                         /      \
                                                        |   --   |
                                                        |  /  \  |
    CE-1                                                |  \B /  |
     \                                                   \  --  /
      \                                                  /------
       \   MTU-s                          PE1-rs        /   |
        \ ------                          ------       /    |
         /      \                        /      \     /     |
        | \ --   |      VC-1            |   --   |---/      |
        |  /  \--|- - - - - - - - - - - |--/  \  |          |
        |  \B /  |                      |  \B /  |          |
         \ /--  /                        \  --  / ---\      |
          /-----                          ------      \     |
         /                                             \    |
       ----                                             \ ------
      |Agg |                                             /      \
       ----                                             |  --    |
      /    \                                            | /  \   |
     CE-2  CE-3                                         | \B /   |
                                                         \ --   /
    MTU-s = Bridging capable MTU                          ------
    PE-rs = VPLS capable PE                               PE3-rs

    --
   /  \
   \B / = Virtual VPLS(Bridge)Instance
    --
    Agg = Layer-2 Aggregation

Could anyone help me to clarify this question? 3x

Regards

Li Defeng

---

From: "Dinesh Mohan" <[email-masked]>
Date: Mon, 28 Apr 2003 09:58:11 -0400

Li,

Could you further elaborate your disagreement?

For HVPLS, it is referring to full mesh between k N-PEs (or PE-rs) devices.

Maybe, you are referring to additional VC-labels required between N-PE and
U-PE devices (for VC between PE-rs and MTU-s), which I agree would be
additional depending on total number of U-PE devices.

Cheers, Dinesh
-----Original Message-----
From: lidefeng [mailto:[email-masked]]
Sent: Monday, April 28, 2003 3:43 AM
To: [email-masked]
Subject: Consult about draft-chen-ppvpn-dvpls-compare-01.txt

Hi,all,

   Based on these:

Regards

Li Defeng